> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byblend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify access token

> Verify the access token. Returns the user details.



## OpenAPI

````yaml /openapi-public.yml get /api/v1/auth/verify
openapi: 3.0.3
info:
  title: Blend API
  version: 1.0.0
  description: API for Blend
servers:
  - url: https://api.byblend.com
    description: Blend production server
security:
  - bearerAuth: []
tags:
  - name: Orders
    description: Order management endpoints
  - name: Patients
    description: Patient management endpoints
  - name: Reports
    description: Reporting endpoints
  - name: Products and Materials
    description: Product catalog and inventory endpoints
  - name: Electronic Prescriptions
    description: Electronic prescription management endpoints
  - name: Prescriptions
    description: Prescription management endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: Notifications
    description: User management endpoints
  - name: Prescribers
paths:
  /api/v1/auth/verify:
    get:
      tags:
        - Authentication
      summary: Verify access token
      description: Verify the access token. Returns the user details.
      responses:
        '200':
          description: Successful response validates access token
          content:
            application/json:
              schema:
                type: object
                properties:
                  valid:
                    type: boolean
                    example: true
                    description: Token validity status true/false
                  user:
                    $ref: '#/components/schemas/AuthenticationUser'
components:
  schemas:
    AuthenticationUser:
      type: object
      allOf:
        - $ref: '#/components/schemas/ID'
        - $ref: '#/components/schemas/Timestamps'
        - type: object
          properties:
            email:
              type: string
              description: Email address
              example: chad@byblend.com
            first_name:
              type: string
              description: First name
              example: Chad
            last_name:
              type: string
              description: Last name
              example: Birkenstock
            is_active:
              type: boolean
              description: Whether the user is active
              example: true
            role:
              type: string
              description: Role of the user
              example: admin
    ID:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier
          example: 0227d1e5-ba9a-42b5-8fe2-38882aa65708
    Timestamps:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
          description: Date and time of creation
          example: '2025-03-15T12:00:00Z'
        updated_at:
          type: string
          format: date-time
          description: Date and time of last update
          example: '2025-03-15T12:00:00Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````